play_midi(3)

NAME
play_midi

SYNOPSIS
#include <allegro.h>

int play_midi(MIDI *midi, int loop);

DESCRIPTION
Starts playing the specified MIDI file, first stopping whatever music was previously playing. If the loop flag is set, the data will be repeated until replaced with something else, otherwise it will stop at the end of the file. Passing a NULL pointer will stop whatever music is currently playing. Returns non-zero if an error occurs (this may happen if a patch-caching wavetable driver is unable to load the required samples, or at least it might in the future when somebody writes some patch-caching wavetable drivers :-)

SEE ALSO
install_sound(3), load_midi(3), play_looped_midi(3), stop_midi(3), midi_pause(3), midi_seek(3), midi_pos(3), midi_msg_callback(3), exdodgy(3), exmidi(3)